Bug 1297842 - [cinder] revert operation when deleting Cinder snapshot should not update the active flag of the snapshot's volume
[cinder] revert operation when deleting Cinder snapshot should not update the...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.2
: 3.6.2.6
Assigned To: Maor
Natalie Gavrielov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 10:34 EST by Maor
Modified: 2016-02-23 08:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 08:32:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: ovirt‑3.6.z?
ylavi: planning_ack+
amureini: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51727 master MERGED core: delete Cinder snapshot failover. 2016-01-13 02:10 EST
oVirt gerrit 51747 ovirt-engine-3.6 MERGED core: delete Cinder snapshot failover. 2016-01-13 08:03 EST
oVirt gerrit 52353 ovirt-engine-3.6.2 MERGED core: delete Cinder snapshot failover. 2016-01-18 13:03 EST

  None (edit)
Description Maor 2016-01-12 10:34:26 EST
Description of problem:
The revert operation of delete Cinder snapshot (The OnFailed), should not change the active flag of the disk.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a VM with Cinder disk
2. Create a snapshot
3. Create another snapshot
4. delete the last snapshot and fail the operation of the delete

Actual results:
The first snapshot will become active and we will have two volumes which are active in the DB

Expected results:
We should not update the active volume

Additional info:
Comment 1 Maor 2016-01-12 12:48:06 EST
Please consider that for this fix to work on multiple disks the patch with the following change-id I2ca19ec44cba371813381e8f8b076e463eda4173 should be backported.

Until then, this fix should resolve the issue but mainly for one Cinder disk, for multiple disks there might be several corner cases which might not be supported.
Comment 2 Red Hat Bugzilla Rules Engine 2016-01-13 06:27:47 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Note You need to log in before you can comment on or make changes to this bug.